boost::geometry::strategy::within::box_within_range< Geometry, Dimension, CSTag > Struct Template Reference

List of all members.

## Static Public Member Functions

template<typename BoxContainedValue , typename BoxContainingValue >
static bool | apply (BoxContainedValue const &bed_min, BoxContainedValue const &bed_max, BoxContainingValue const &bing_min, BoxContainingValue const &bing_max)

### template<typename Geometry, std::size_t Dimension, typename CSTag>
struct boost::geometry::strategy::within::box_within_range< Geometry, Dimension, CSTag >

## Member Function Documentation

template<typename Geometry , std::size_t Dimension, typename CSTag >
template<typename BoxContainedValue , typename BoxContainingValue >

static bool boost::geometry::strategy::within::box_within_range< Geometry, Dimension, CSTag >::apply | ( | BoxContainedValue const & | bed_min,
|  | BoxContainedValue const & | bed_max,
|  | BoxContainingValue const & | bing_min,
|  | BoxContainingValue const & | bing_max
| ) |  | `[static]`

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK